# Gets a list of spot markets
curl --compressed "https://api.coinmetrics.io/v4/security-master/markets?type=spot&pretty=true&api_key=<your_key>"{
"data": [
{
"market": "binance-1000FLOKIUSDT-future",
"exchange": "binance",
"type": "future",
"code": "C7101DFDBB",
"pair": "floki-usdt",
"base": "floki",
"quote": "usdt",
"symbol": "1000FLOKIUSDT",
"size_asset": "floki",
"margin_asset": "usdt",
"contract_size": "1000",
"tick_size": "0.00001",
"listing": "2023-05-06T00:00:00.000000000Z",
"order_amount_increment": "1",
"order_amount_min": "1",
"order_amount_max": "10000000",
"order_price_increment": "0.0000100",
"order_price_min": "0.0000100",
"order_price_max": "200",
"order_size_min": "5.0",
"price_open": "0.02221",
"price_close": "0.02229",
"price_high": "0.0229",
"price_low": "0.02209",
"vwap": "0.02241939522043145",
"volume": "469491373",
"candle_usd_volume": "10527753.918885919",
"candle_trades_count": "58244"
},
{
"market": "binance-1000LUNCBUSD-future",
"exchange": "binance",
"type": "future",
"code": "C314D2136A",
"pair": "luna-busd",
"base": "luna",
"quote": "busd",
"symbol": "1000LUNCBUSD",
"size_asset": "luna",
"margin_asset": "busd",
"contract_size": "1000",
"tick_size": "0.00001",
"listing": "2022-05-30T07:00:00.000000000Z",
"order_amount_increment": "1",
"order_amount_min": "1",
"order_amount_max": "10000000",
"order_price_increment": "0.0000100",
"order_price_min": "0.0001000",
"order_price_max": "200",
"order_size_min": "5.0",
"price_open": "0.09374",
"price_close": "0.09329",
"price_high": "0.09499",
"price_low": "0.09151",
"vwap": "0.09285032139768002",
"volume": "121883176",
"candle_usd_volume": "11325203.708357710",
"candle_trades_count": "49781"
}
],
"next_page_token": "0.MTUwMjYyMzI",
"next_page_url": "https://api.coinmetrics.io/v4/security-master/markets?type=future&api_key=<your_key>&next_page_token=0.MTUwMjYyMzI"
}Security Master
Security Master Markets
Returns metadata on all the markets offered (spot, options, futures), sorted alphabetically by market.
GET
/
security-master
/
markets
# Gets a list of spot markets
curl --compressed "https://api.coinmetrics.io/v4/security-master/markets?type=spot&pretty=true&api_key=<your_key>"{
"data": [
{
"market": "binance-1000FLOKIUSDT-future",
"exchange": "binance",
"type": "future",
"code": "C7101DFDBB",
"pair": "floki-usdt",
"base": "floki",
"quote": "usdt",
"symbol": "1000FLOKIUSDT",
"size_asset": "floki",
"margin_asset": "usdt",
"contract_size": "1000",
"tick_size": "0.00001",
"listing": "2023-05-06T00:00:00.000000000Z",
"order_amount_increment": "1",
"order_amount_min": "1",
"order_amount_max": "10000000",
"order_price_increment": "0.0000100",
"order_price_min": "0.0000100",
"order_price_max": "200",
"order_size_min": "5.0",
"price_open": "0.02221",
"price_close": "0.02229",
"price_high": "0.0229",
"price_low": "0.02209",
"vwap": "0.02241939522043145",
"volume": "469491373",
"candle_usd_volume": "10527753.918885919",
"candle_trades_count": "58244"
},
{
"market": "binance-1000LUNCBUSD-future",
"exchange": "binance",
"type": "future",
"code": "C314D2136A",
"pair": "luna-busd",
"base": "luna",
"quote": "busd",
"symbol": "1000LUNCBUSD",
"size_asset": "luna",
"margin_asset": "busd",
"contract_size": "1000",
"tick_size": "0.00001",
"listing": "2022-05-30T07:00:00.000000000Z",
"order_amount_increment": "1",
"order_amount_min": "1",
"order_amount_max": "10000000",
"order_price_increment": "0.0000100",
"order_price_min": "0.0001000",
"order_price_max": "200",
"order_size_min": "5.0",
"price_open": "0.09374",
"price_close": "0.09329",
"price_high": "0.09499",
"price_low": "0.09151",
"vwap": "0.09285032139768002",
"volume": "121883176",
"candle_usd_volume": "11325203.708357710",
"candle_trades_count": "49781"
}
],
"next_page_token": "0.MTUwMjYyMzI",
"next_page_url": "https://api.coinmetrics.io/v4/security-master/markets?type=future&api_key=<your_key>&next_page_token=0.MTUwMjYyMzI"
}
